from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XForbiddenCharacters(XInterface, Protocol):
    def hasForbiddenCharacters(self, aLocale: Locale) -> bool: ...
    def setForbiddenCharacters(self, aLocale: Locale, aForbiddenCharacters: ForbiddenCharacters) -> None: ...
    def removeForbiddenCharacters(self, aLocale: Locale) -> None: ...
